{% set versions = ['11', '12', '13', '14', '15', '16'] %}
{% set variants = ["jammy"] %}

include:
{% for version in versions %}
  {% for variant in variants %}
  - project: 'nirvati/ci'
    file: '/docker.yml'
    inputs:
      username: $HARBOR_USERNAME
      password: $HARBOR_PASSWORD
      registry: $HARBOR_HOST
      project: library
      container: $CI_PROJECT_NAME
      tag: {{version}}-{{variant}}
      suffix: {{version}}-{{variant}}
      dir: ./{{version}}/{{variant}}
  {% endfor %}
{% endfor %}

stages:
- docker-build
- docker-deploy
